CREATE TABLE Host (
    id BIGSERIAL PRIMARY KEY,
    name TEXT,
    org_key TEXT NOT NULL,
    resource_manager_uuid TEXT,
    uuid TEXT,
    resource_manager_id BIGINT,
    power_state TEXT,
    host_type TEXT,
    moid TEXT,
    version TEXT,
    api_version TEXT,
    build TEXT,
    parent TEXT,
    connection_state TEXT,
    cluster_id BIGINT,
    cluster_moid TEXT,
    data_center_id BIGINT,
    data_center_moid TEXT,
    session_id TEXT,
    created_at TIMESTAMP WITH TIME ZONE,
    last_updated TIMESTAMP WITH TIME ZONE,
    collector_updated_at TIMESTAMP WITH TIME ZONE,
    UNIQUE (org_key, resource_manager_uuid, moid)
);

ALTER TABLE Host REPLICA IDENTITY full;