CREATE TABLE Compute (
    id BIGSERIAL PRIMARY KEY,
    name TEXT,
    org_key TEXT NOT NULL,
    uuid TEXT,
    resource_manager_uuid TEXT,
    host_moid TEXT,
    host_id BIGINT,
    resource_manager_id BIGINT,
    power_state TEXT,
    mac_address TEXT,
    ip_address TEXT,
    compute_type TEXT,
    moid TEXT,
    cb_reg_id TEXT,
    cb_install_status TEXT,
    cb_device_id TEXT,
    cb_launcher_version TEXT,
    parent TEXT,
    template BOOLEAN,
    data_store_url TEXT,
    vm_path_name TEXT,
    connected BOOLEAN,
    network TEXT,
    ip_address_state TEXT,
    config_guest_id TEXT,
    guest_id TEXT,
    eligibility TEXT,
    eligibility_code TEXT,
    os_type TEXT,
    os_description TEXT,
    os_architecture TEXT,
    guest_full_name TEXT,
    tools_version_status TEXT,
    tools_running_status TEXT,
    tools_version TEXT,
    tools_install_type TEXT,
    isolation_tools_set_info_disabled BOOLEAN,
    session_id TEXT,
    created_at TIMESTAMP WITH TIME ZONE,
    last_updated TIMESTAMP WITH TIME ZONE,
    collector_updated_at TIMESTAMP WITH TIME ZONE,
    UNIQUE (org_key, resource_manager_uuid, moid)
);

ALTER TABLE Compute REPLICA IDENTITY full;